Ticket #85 (closed enhancement: fixed)

Opened 6 years ago

Last modified 5 years ago

Duplicate data sets in a graph

Reported by: lfayer Assigned to: umar
Priority: minor Milestone: Wangle
Component: webconsole Severity: critical
Keywords: Cc:

Description (Last modified by jesus)

Allow duplicate data sets in a same graph.

Currently, an error is thrown.

  DB: SQLSTATE[23505]: Unique violation: 7 ERROR: duplicate key value violates unique constraint "saved_graphs_dep_pkey" 

Change History

01/31/09 00:23:22 changed by jesus

  • summary changed from Duplicate data sheets in a graph to Duplicate data sets in a graph.
  • description changed.
  • milestone set to Ruse.

05/03/09 01:14:24 changed by jesus

  • owner changed from jesus to umar.

06/19/09 23:03:28 changed by umar

  • priority changed from major to minor.
  • type changed from defect to enhancement.
  • severity set to critical.

07/02/09 18:23:28 changed by umar

this restriction will need to remain unless we check and assign names that are unique, as most of the graphing code assumes unique uuid-name values.

the error message should be replaced with a modal giving the error

07/06/09 22:42:36 changed by umar

  • status changed from new to closed.
  • resolution set to fixed.

(In [778]) notify user of error when adding duplicate datasets to a graph, fixes #85